/* $Id: logging.h 8676 2008-01-17 23:11:17Z ispringer $ */

#ifndef __LOGGING_H__
#define __LOGGING_H__

int snmp_generic_log_sink(int socket);
void open_logpath(int apache_state, server_rec *s);

/* We define a struct, since we put this in a DBM */
typedef struct {
    int socket;
    size_t address_size;
    struct sockaddr_in address;
} covalent_snmp_logpath_t;

#endif /* __LOGGING_H__ */
